DevelopersAPIReferenceplanItems
Update plan item
Update a plan item with the Walletguide REST API. Parameters, response fields, and a playground you can run.
PATCH
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidid*stringRow uuid
Format
uuidapplication/json- body
scenarioId?|Row uuid
Format
uuidmonth?stringMatch
^\d{4}-\d{2}$categoryOrCategoryGroupId?stringRow uuid
Format
uuidamount?duration?integer|nullfrequency?integerThe updated plan item
application/json- response
id*stringFormat
uuidwalletId*stringFormat
uuidfirestoreId*string|nullscenarioId*|Format
uuidmonth*stringcategoryOrCategoryGroupId*stringFormat
uuidamount*string|number|boolean|null||array<unknown>duration*|Range
-2147483648 <= value <= 2147483647frequency*integerRange
-2147483648 <= value <= 2147483647createdTime*|Format
date-timecreatedUserId*string|nulllastUpdatedTime*|Format
date-timelastUpdatedUserId*string|nullcurl -X PATCH 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/planItems/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "scenarioId": "e28e2f4c-7202-4457-b0d8-c4c537f7bff6", "month": "string", "categoryOrCategoryGroupId": "ede83f0b-08f4-4cfa-bc06-98787e881327", "amount": "string", "duration": -2147483648, "frequency": -2147483648, "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string"}